| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
Digikam::AlbumPointer< T > Class Template Reference

You can use AlbumPointer to store a guarded pointer to Album or one of the subclasses (use template parameter). More...

## Public Member Functions
| AlbumPointer (const AlbumPointer< T > &p)
| AlbumPointer (T *const a)
| operator T* () const
bool | operator! () const
T & | operator* () const
T * | operator-> () const
AlbumPointer< T > & | operator= (const AlbumPointer< T > &p)
AlbumPointer< T > & | operator= (T *const a)

## Friends
class | AlbumManager

## Detailed Description

template<class T = Album>
class Digikam::AlbumPointer< T >

The pointer will be set to 0 when the album object is deleted.